Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.table.fill
Class TableReportDataset

    java.lang.Object
      net.sf.jasperreports.components.table.fill.TableReportDataset

All Implemented Interfaces:
  java.lang.Cloneable, JRCloneable, JRDataset, JRPropertiesHolder

    public class TableReportDataset

extends java.lang.Object
implements JRDataset

Version:
  $Id: TableReportDataset.java 3735 2010-04-12 15:45:13Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary

Fields inherited from interface net.sf.jasperreports.engine.JRDataset
`WHEN_RESOURCE_MISSING_TYPE_EMPTY, WHEN_RESOURCE_MISSING_TYPE_ERROR, WHEN_RESOURCE_MISSING_TYPE_KEY, WHEN_RESOURCE_MISSING_TYPE_NULL`

Constructor Summary
`TableReportDataset(JRDataset tableSubdataset, java.lang.String name)`

Method Summary
`void` | `addFirstGroup(JRGroup group)`
`void` | `addScriptlet(java.lang.String name, java.lang.Class<? extends JRAbstractScriptlet> type)`
`java.lang.Object` | `clone()`
`JRField[]` | `getFields()` Returns the dataset's fields.
`JRExpression` | `getFilterExpression()` Returns the dataset filter expression.
`JRGroup[]` | `getGroups()` Returns the dataset's groups.
`java.lang.String` | `getName()` Returns the dataset name.
`JRParameter[]` | `getParameters()` Returns the dataset's parameters.
`JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
`JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
`JRQuery` | `getQuery()` Returns the query of the dataset.
`java.lang.String` | `getResourceBundle()` Returns the resource bundle base name.
`java.lang.String` | `getScriptletClass()` The name of the scriptlet class to be used when iterating this dataset.
`JRScriptlet[]` | `getScriptlets()` Returns the dataset's scriptlets.
`JRSortField[]` | `getSortFields()` Returns the dataset's sort fields.
`TableReportGroup[]` | `getTableGroups()`
`JRVariable[]` | `getVariables()` Returns the dataset's variables.
`byte` | `getWhenResourceMissingType()` Deprecated.
`WhenResourceMissingTypeEnum` | `getWhenResourceMissingTypeValue()` Returns the resource missing handling type.
`boolean` | `hasProperties()` Checks whether the object has any properties.
`boolean` | `isMainDataset()` Decides whether this dataset is the main report dataset or a sub dataset.
`void` | `setWhenResourceMissingType(byte whenResourceMissingType)` Deprecated.
`void` | `setWhenResourceMissingType(WhenResourceMissingTypeEnum whenResourceMissingType)` Sets the resource missing handling type.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableReportDataset

    public TableReportDataset(JRDataset tableSubdataset,
                              java.lang.String name)

Method Detail

### getFields

    public JRField[] getFields()

  Description copied from interface: `JRDataset`
  Returns the dataset's fields.

  Specified by:
    `getFields` in interface `JRDataset`
  Returns:
    the dataset's fields

### getFilterExpression

    public JRExpression getFilterExpression()

  Description copied from interface: `JRDataset`
  Returns the dataset filter expression.

  This expression is used to filter the rows of the `data source` that this dataset will iterate on.

  This expression (if not null) is evaluated immediately after a new row is `produced` by the data source. The evaluation is performed using field and variable values corresponding to the new row. When the result of the evaluation is `Boolean.TRUE` the row gets processed by the report filling engine. When the result is null or `Boolean.FALSE`, the current row will be skipped and the datasource will be asked for the next row.

  Specified by:
    `getFilterExpression` in interface `JRDataset`
  Returns:
    the dataset filter expression

### getTableGroups

    public TableReportGroup[] getTableGroups()

### getGroups

    public JRGroup[] getGroups()

  Description copied from interface: `JRDataset`
  Returns the dataset's groups.

  Specified by:
    `getGroups` in interface `JRDataset`
  Returns:
    the dataset's groups

### addFirstGroup

    public void addFirstGroup(JRGroup group)

### getName

    public java.lang.String getName()

  Description copied from interface: `JRDataset`
  Returns the dataset name.

  Specified by:
    `getName` in interface `JRDataset`
  Returns:
    the name of the dataset

### getParameters

    public JRParameter[] getParameters()

  Description copied from interface: `JRDataset`
  Returns the dataset's parameters.

  Specified by:
    `getParameters` in interface `JRDataset`
  Returns:
    the dataset's parameters

### getQuery

    public JRQuery getQuery()

  Description copied from interface: `JRDataset`
  Returns the query of the dataset.

  The query is used by passing a connection is passed to the dataset when instantiating.

  Specified by:
    `getQuery` in interface `JRDataset`
  Returns:
    the query of the dataset

### getResourceBundle

    public java.lang.String getResourceBundle()

  Description copied from interface: `JRDataset`
  Returns the resource bundle base name.

  The resource bundle is used when evaluating expressions.

  Specified by:
    `getResourceBundle` in interface `JRDataset`
  Returns:
    the resource bundle base name

### getScriptletClass

    public java.lang.String getScriptletClass()

  Description copied from interface: `JRDataset`
  The name of the scriptlet class to be used when iterating this dataset.

  Specified by:
    `getScriptletClass` in interface `JRDataset`
  Returns:
    the scriplet class name

### getScriptlets

    public JRScriptlet[] getScriptlets()

  Description copied from interface: `JRDataset`
  Returns the dataset's scriptlets.

  Specified by:
    `getScriptlets` in interface `JRDataset`
  Returns:
    the dataset's scriptlets

### getSortFields

    public JRSortField[] getSortFields()

  Description copied from interface: `JRDataset`
  Returns the dataset's sort fields.

  Specified by:
    `getSortFields` in interface `JRDataset`
  Returns:
    the dataset's sort fields

### getVariables

    public JRVariable[] getVariables()

  Description copied from interface: `JRDataset`
  Returns the dataset's variables.

  Specified by:
    `getVariables` in interface `JRDataset`
  Returns:
    the dataset's variables

### getWhenResourceMissingType

    @Deprecated
    public byte getWhenResourceMissingType()

  Deprecated.

  Specified by:
    `getWhenResourceMissingType` in interface `JRDataset`

### getWhenResourceMissingTypeValue

    public WhenResourceMissingTypeEnum getWhenResourceMissingTypeValue()

  Description copied from interface: `JRDataset`
  Returns the resource missing handling type.

  Specified by:
    `getWhenResourceMissingTypeValue` in interface `JRDataset`
  Returns:
    the resource missing handling type

### isMainDataset

    public boolean isMainDataset()

  Description copied from interface: `JRDataset`
  Decides whether this dataset is the main report dataset or a sub dataset.

  Specified by:
    `isMainDataset` in interface `JRDataset`
  Returns:
    `true` if and only if this dataset is the main report dataset

### setWhenResourceMissingType

    @Deprecated
    public void setWhenResourceMissingType(byte whenResourceMissingType)

  Deprecated.

  Specified by:
    `setWhenResourceMissingType` in interface `JRDataset`

### setWhenResourceMissingType

    public void setWhenResourceMissingType(WhenResourceMissingTypeEnum whenResourceMissingType)

  Description copied from interface: `JRDataset`
  Sets the resource missing handling type.

  Specified by:
    `setWhenResourceMissingType` in interface `JRDataset`
  Parameters:
    `whenResourceMissingType` - the resource missing handling type

### getParentProperties

    public JRPropertiesHolder getParentProperties()

  Description copied from interface: `JRPropertiesHolder`
  Returns the parent properties holder, whose properties are used as defaults for this object.

  Specified by:
    `getParentProperties` in interface `JRPropertiesHolder`
  Returns:
    the parent properties holder, or `null` if no parent

### getPropertiesMap

    public JRPropertiesMap getPropertiesMap()

  Description copied from interface: `JRPropertiesHolder`
  Returns this object's properties map.

  Specified by:
    `getPropertiesMap` in interface `JRPropertiesHolder`
  Returns:
    this object's properties map

### hasProperties

    public boolean hasProperties()

  Description copied from interface: `JRPropertiesHolder`
  Checks whether the object has any properties.

  Specified by:
    `hasProperties` in interface `JRPropertiesHolder`
  Returns:
    whether the object has any properties

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

### addScriptlet

    public void addScriptlet(java.lang.String name,
                             java.lang.Class<? extends JRAbstractScriptlet> type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com